Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class SimpleStringEntityBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.SimpleStringEntityBean

Direct Known Subclasses:
  PortalDefinitionBean

public abstract class SimpleStringEntityBean
extends BaseBean

Simple String Entity Bean class. This is a base class for entity beans whose entity id is a string.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `id` The simple id.

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`SimpleStringEntityBean()` Default constructor.

Method Summary
`void` | `ejbCreate(SimpleStringPK pk)` Ejb create.
`void` | `ejbPostCreate(SimpleStringPK pk)` Ejb post create.
`java.lang.String` | `getId()` Get id.
`void` | `setId(java.lang.String anId)` Set id.

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

  The simple id.

Constructor Detail

### SimpleStringEntityBean

    public SimpleStringEntityBean()

  Default constructor.

Method Detail

### setId

    public void setId(java.lang.String anId)

  Set id.
  Parameters:
    `anId` - the id.

### getId

    public java.lang.String getId()

  Get id.
  Returns:
    `String` the id.

### ejbCreate

    public void ejbCreate(SimpleStringPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - creation error.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(SimpleStringPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Parameters:
    `pk` - primary key.
  Throws:
    `CreateException` - creation error.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved